[Desktop Entry]
Name=TDevelop Plugin
Type=ServiceType
X-TDE-ServiceType=TDevelop/Plugin

# versioning - prevent DLL hell
[PropertyDef::X-TDevelop-Version]
Type=int

[PropertyDef::X-TDevelop-Scope]
Type=TQString

[PropertyDef::X-TDevelop-Mode]
Type=TQString

[PropertyDef::X-TDevelop-Plugin-Version]
Type=TQString

[PropertyDef::X-TDevelop-Plugin-Homepage]
Type=TQString

[PropertyDef::X-TDevelop-Plugin-License]
Type=TQString

[PropertyDef::X-TDevelop-Plugin-BugsEmailAddress]
Type=TQString

[PropertyDef::X-TDevelop-Plugin-Copyright]
Type=TQString

# defines a list of properties which the plugin has
# a profile will query all plugins for properties and will load only
# those that have queried properties
[PropertyDef::X-TDevelop-Properties]
Type=TQStringList

# only important for project plugins, you can add a list of programming languages which are supported
# the plugin will be loaded by default, if the project use this language
[PropertyDef::X-TDevelop-ProgrammingLanguages]
Type=TQStringList

[PropertyDef::X-TDevelop-Args]
Type=TQString
